retry ssh commands to allow cell nodes to come up
Change-Id: I670befdc12f422ff97d86adf88ba97f156a21f77
diff --git a/tools/test/bin/onos-verify-cell b/tools/test/bin/onos-verify-cell
index 8999ad4..284a7c4 100755
--- a/tools/test/bin/onos-verify-cell
+++ b/tools/test/bin/onos-verify-cell
@@ -6,6 +6,18 @@
[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
. $ONOS_ROOT/tools/build/envDefaults
+let err=0
+
for node in $OCT $OCN $(env | sort | egrep "^OC[0-9]+" | cut -d= -f2); do
- printf "%s: " $node; ssh -n -q -o StrictHostKeyChecking=no -o PasswordAuthentication=no $ONOS_USER@$node hostname
+ for i in 1 2 3 4 5 6; do
+ printf "%s: " $node; ssh -n -q -o StrictHostKeyChecking=no -o PasswordAuthentication=no -o ConnectTimeout=10 $ONOS_USER@$node hostname
+ if [ $? -eq 0 ]; then
+ let err=0
+ break
+ fi
+ let err=$?+$err
+ done
+ if [ $err -ne 0 ]; then
+ exit 1
+ fi
done